digi_recorder(3)

NAME
digi_recorder

SYNOPSIS
#include <allegro.h>

extern void (*digi_recorder)();

DESCRIPTION
If set, this function is called by the input driver whenever a new sample buffer becomes available, at which point you can use read_sound_input() to copy the data into a more permenent location. This routine runs in an interrupt context, so it must execute very quickly, the code and all memory that it touches must be locked, and you cannot call any operating system routines or access disk files.

SEE ALSO
install_sound_input(3), start_sound_input(3)